Skala
Stock media objects

Replace a stock media object

Completely replaces the data of an existing stock media object with the provided payload.

PUT
/api/stock_media_objects/{id}

Completely replaces the data of an existing stock media object with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

StockMediaObject identifier

Request Body

application/json

The updated StockMediaObject resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/stock_media_objects/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "stock": "/entity/1",
  "mediaObject": {
    "id": 0,
    "contentUrl": "string",
    "file": "string",
    "filePath": "string"
  },
  "showInWorkOrder": true,
  "variant": {
    "id": 0,
    "name": "string"
  },
  "description": "string"
}
Empty
Empty
Empty